VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisimBuilder.ObjectCreation.PhysSettingsEdit Class Reference

List of all members.

## Public Member Functions
| PhysSettingsEdit ()
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Protected Attributes
bool | _staystatic
## Properties
float | Mass`[get, set]`
bool | Sleeping`[get, set]`
bool | StayStatic`[get, set]`
bool | StaticCol`[get, set]`
bool | GravityEnabled`[get, set]`
float | StaticFriction`[get, set]`
float | DynamicFriction`[get, set]`
float | Restitution`[get, set]`
float | Damping`[get, set]`
float | AngDamping`[get, set]`
Vector3 | Velocity`[get, set]`
Vector3 | Acceleration`[get, set]`
Vector3 | AngularVelocity`[get, set]`
Vector3 | AngularAcceleration`[get, set]`

## Constructor & Destructor Documentation

VisimBuilder.ObjectCreation.PhysSettingsEdit.PhysSettingsEdit | ( |  | ) |

## Member Function Documentation

override void VisimBuilder.ObjectCreation.PhysSettingsEdit.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

## Member Data Documentation

bool VisimBuilder.ObjectCreation.PhysSettingsEdit._staystatic`[protected]`

## Property Documentation

Vector3 VisimBuilder.ObjectCreation.PhysSettingsEdit.Acceleration`[get, set]`

float VisimBuilder.ObjectCreation.PhysSettingsEdit.AngDamping`[get, set]`

Vector3 VisimBuilder.ObjectCreation.PhysSettingsEdit.AngularAcceleration`[get, set]`

Vector3 VisimBuilder.ObjectCreation.PhysSettingsEdit.AngularVelocity`[get, set]`

float VisimBuilder.ObjectCreation.PhysSettingsEdit.Damping`[get, set]`

float VisimBuilder.ObjectCreation.PhysSettingsEdit.DynamicFriction`[get, set]`

bool VisimBuilder.ObjectCreation.PhysSettingsEdit.GravityEnabled`[get, set]`

float VisimBuilder.ObjectCreation.PhysSettingsEdit.Mass`[get, set]`

float VisimBuilder.ObjectCreation.PhysSettingsEdit.Restitution`[get, set]`

bool VisimBuilder.ObjectCreation.PhysSettingsEdit.Sleeping`[get, set]`

bool VisimBuilder.ObjectCreation.PhysSettingsEdit.StaticCol`[get, set]`

float VisimBuilder.ObjectCreation.PhysSettingsEdit.StaticFriction`[get, set]`

bool VisimBuilder.ObjectCreation.PhysSettingsEdit.StayStatic`[get, set]`

Vector3 VisimBuilder.ObjectCreation.PhysSettingsEdit.Velocity`[get, set]`

The documentation for this class was generated from the following files:

- PhysSettingsEdit.cs
- PhysSettingsEdit.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events